Description
CP-1031 introduces two new attributes for the code value: Long Code Value (0008,0119) and URN Code Value (0008,0120)

This is done in an incompatible way, since the existing Code Value (0008,0100) attribute now switched its type from 1 to 1C: "Shall
be present if the code value length is 16 characters or less, and the code value is not a URN or URL."

In addition, this CP also introduces the new optional (Type 3) Equivalent Code Sequence (0008,0121) being part of the Code
Sequence Macro (Table 8.8-1)

The DSRCodedEntryValue class should be enhanced accordingly.

History

#1 - 2015-06-11 10:55 - JO6rg Riesmeier
- % Done changed from 0 to 80

Added initial support for long code values according to CP-1031. By default,

the type of a code value (short, long or URN) is determined automatically,

e.g. when setting the value of a DSRCodedEntryValue instance. However, the
type can also be specified manually. Please note that for some methods, the
position of the optional "check" parameter moved after the new "codeValueType"
parameter. Support for the optional Equivalent Code Sequence (0008,0121) is
still missing.

http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=95fcb5d65c4d99521771eb492f08520998513e30

#2 - 2015-09-02 11:27 - J6rg Riesmeier

- Status changed from New to Assigned

#3 - 2016-10-27 13:35 - Jorg Riesmeier
- Target version deleted (3.6.2)

The new optional (Type 3) attributes are not that important that supporting them is absolutely necessary for the next DCMTK release.
http://dicom.nema.org/medical/dicom/current/output/chtml/part03/sect_8.8.html#table_8.8-1
http://support.dcmtk.org/docs-snapshot/classDSRCodedEntryValue.html
http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=95fcb5d65c4d99521771eb492f08520998513e30
http://www.tcpdf.org

